#include <raylib.h>
#include "BackGround.hpp"
#include "Tree.hpp"

class Canvas
{

public:
  Canvas() = default;
  ~Canvas() = default;
  void init(int size);
  void newGen();
  void draw(Rectangle dest, float rotation);
  void deinit();

private:
  BackGround backGround;
  Tree tree;
  RenderTexture2D target = {0};
};
